6 Replies Latest reply on Jul 17, 2009 2:20 PM by Jorge Campins

    Does Developer Studio 2.0 work with AS 5.1?

    Jorge Campins Newbie

      I have just installed JBoss Developer Studio. It comes with AS 4.3.0.GA_CP03_EAP. Will Developer Studio work if I replace it with the latest release (AS 5.1) ?


        • 1. Re: Does Developer Studio 2.0 work with AS 5.1?
          Peter Johnson Master

          The issue is that the JAR files are located in different places in 5.1., thus I doubt that Dev Studio knows of the new locations out of the box, which means it will be difficult to create a server.

          There is a workaround for this. Look at plugins\org.eclipse.jst.server.generic.jboss_1.6.1.v200904151730\servers\ , at the various *.serverdef files. Make a copy of one of the files as jboss5.serverdef and change the setting in it to reference the new locations. You could even try using a copy of the file form the latest JBoss Tools download.

          By the way, I used Eclipse 3.5 + JBoss Tools 3.1 to locate the above directory - in Dev Studio it might be at a different location - search for *.serverdef files.

          • 2. Re: Does Developer Studio 2.0 work with AS 5.1?
            Jorge Campins Newbie

            Thanks for your help! Unfortunately, I'm new not only to JBDS but also to Eclipse, JBoss, Hibernate, etc. I have been using NetBeans with Glassfish and TopLink for the last few years. I bought JBDS because I thought it was an easy way to start using a new (and more popular) environment where I have no experience at all. But now I find JBDS to be a bit “outdated�: it uses JDK 1.5 and JBoss AS 4.3 (a J2EE 1.4 application server) even though AS 5 (Java EE 5) was released last year and JDK 1.6 has been around for quite a while. Perhaps this is not the right time for me to move to JBoss. I tried but couldn’t find a JBDS development roadmap. I guess an updated version should be available soon.

            • 3. Re: Does Developer Studio 2.0 work with AS 5.1?
              Peter Johnson Master

              Actually, you might just be better off using Eclipse for Java EE Developers and JBoss Tools 3.1 (the stable development build). That has AS 5.1 support built in.

              The supported tools and applications always lag behind the community versions. But then the supported versions are more stable and have been extensively tested to ensure compatibility. Before a Dev Studio release that supports JBoss AS 5.x comes out you would have to first wait for JBoss EAP 5 to be released (should be in the next couple of months). And some time after that a new Dev Studio should be out.

              • 4. Re: Does Developer Studio 2.0 work with AS 5.1?
                Jorge Campins Newbie

                I would like to install the latest Eclipse version, using JDK 1.6. Would JBoss Tools 3.1 run without problem?

                • 5. Re: Does Developer Studio 2.0 work with AS 5.1?
                  Peter Johnson Master

                  Yes, I use JDK 6 with Eclipse 3.5 and Tools 3.1. By the way, if you have a 54-bit OS, make sure you use a 32-bit JDK for Eclipse - 64-bit JDKs will not work. Also, make sure you have a recent JDK - I know that older version of JDK 6 (say before 6u7) have issues.

                  Also, the Tools documentation has a lot of good tutorials to get you started. They even have recorded screencasts that you can watch.

                  • 6. Re: Does Developer Studio 2.0 work with AS 5.1?
                    Jorge Campins Newbie

                    Thank you very much! I will set it up exactly as you say.